Package org.apache.sling.servlethelpers

# Class MockRequestPathInfo

java.lang.Object
org.apache.sling.servlethelpers.MockRequestPathInfo

All Implemented Interfaces:
  `org.apache.sling.api.request.RequestPathInfo`

@ConsumerType public class MockRequestPathInfo extends Object implements org.apache.sling.api.request.RequestPathInfo
Mock `RequestPathInfo` implementation.

## Constructor Summary

Constructors
Constructor
Description
`MockRequestPathInfo()`
Deprecated.
Use @link `MockRequestPathInfo(ResourceResolver)` instead.
`MockRequestPathInfo(org.apache.sling.api.resource.ResourceResolver resourceResolver)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtension()`
`String`
`getResourcePath()`
`String[]`
`getSelectors()`
`String`
`getSelectorString()`
`String`
`getSuffix()`
`org.apache.sling.api.resource.Resource`
`getSuffixResource()`
`void`
`setExtension(String extension)`
`void`
`setResourcePath(String resourcePath)`
`void`
`setSelectorString(String selectorString)`
`void`
`setSuffix(String suffix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockRequestPathInfo

@Deprecated(since="1.1.0") public MockRequestPathInfo()
Deprecated.
Use @link `MockRequestPathInfo(ResourceResolver)` instead.

### MockRequestPathInfo

public MockRequestPathInfo(org.apache.sling.api.resource.ResourceResolver resourceResolver)

## Method Details

### getExtension

public String getExtension()

Specified by:
  `getExtension` in interface `org.apache.sling.api.request.RequestPathInfo`

### getResourcePath

public String getResourcePath()

Specified by:
  `getResourcePath` in interface `org.apache.sling.api.request.RequestPathInfo`

### getSelectors

public String[] getSelectors()

Specified by:
  `getSelectors` in interface `org.apache.sling.api.request.RequestPathInfo`

### getSelectorString

public String getSelectorString()

Specified by:
  `getSelectorString` in interface `org.apache.sling.api.request.RequestPathInfo`

### getSuffix

public String getSuffix()

Specified by:
  `getSuffix` in interface `org.apache.sling.api.request.RequestPathInfo`

### setExtension

public void setExtension(String extension)

### setResourcePath

public void setResourcePath(String resourcePath)

### setSelectorString

public void setSelectorString(String selectorString)

### setSuffix

public void setSuffix(String suffix)

### getSuffixResource

public org.apache.sling.api.resource.Resource getSuffixResource()

Specified by:
  `getSuffixResource` in interface `org.apache.sling.api.request.RequestPathInfo`